Export
Snyk API reference for the Export endpoints, including request parameters and response schemas
Get an export job status
Required permissions
View Organization reports (org.report.read)
Org ID
Unique export identifier
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$Getting an export job status
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Conflict: The requested operation conflicts with the current state of the resource in some way.
Internal Server Error: An error was encountered while attempting to process the request.
GET /rest/orgs/{org_id}/jobs/export/{export_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Accept: */*
{
"data": {
"attributes": {
"created": "2026-01-01T00:00:00.000Z",
"formats": [
"csv"
],
"status": "PENDING"
},
"id": "d5b640e5-d88c-4c17-9bf0-93597b7a1ce2",
"type": "resource"
},
"jsonapi": {
"version": "1.0"
},
"links": {
"self": "/orgs/826e79b7-0073-44c3-a5ea-e0aa8a3dbf38/export/4d593250-aaf3-48ec-bf5a-1d9a7c0f80db"
}
}Create and start an export for an org
Required permissions
View Organization reports (org.report.read)
Org ID
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$Optional parameter to include deleted issues in results
Optional parameter to include disabled issues in results
Created an Export successfully
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Conflict: The requested operation conflicts with the current state of the resource in some way.
Too many requests
Internal Server Error: An error was encountered while attempting to process the request.
POST /rest/orgs/{org_id}/export?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 677
{
"data": {
"attributes": {
"columns": [
"ISSUE_SEVERITY_RANK",
"ISSUE_SEVERITY",
"SCORE",
"PROBLEM_TITLE",
"CVE",
"CWE",
"PROJECT_NAME",
"PROJECT_URL",
"EXPLOIT_MATURITY",
"AUTOFIXABLE",
"FIRST_INTRODUCED",
"PRODUCT_NAME",
"ISSUE_URL",
"ISSUE_STATUS",
"ISSUE_TYPE"
],
"dataset": "issues",
"filters": {
"empty_project_tags": "include",
"environment": [
"BACKEND",
"EXTERNAL"
],
"introduced": {
"from": "2024-01-01T00:00:00Z",
"to": "2024-01-31T00:00:00Z"
},
"lifecycle": [
"PRODUCTION"
],
"product_name": [
"Snyk Code",
"Snyk Open Source",
"Snyk IaC",
"Snyk Container"
],
"project_tags": [
"scanType: CSS",
"user: CLI-user"
],
"project_type": [
"npm",
"pip",
"golang"
]
},
"formats": [
"csv"
],
"url_expiration_seconds": 3600
},
"type": "resource"
}
}{
"data": {
"attributes": {
"created": "2022-01-14T00:23:50Z"
},
"id": "d5b640e5-d88c-4c17-9bf0-93597b7a1ce2",
"links": {
"self": "/orgs/826e79b7-0073-44c3-a5ea-e0aa8a3dbf38/export/jobs/4d593250-aaf3-48ec-bf5a-1d9a7c0f80db"
},
"type": "resource"
},
"jsonapi": {
"version": "1.0"
}
}Get an export results
Required permissions
View Organization reports (org.report.read)
Org ID
Unique export identifier
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$Getting an export job results
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Conflict: The requested operation conflicts with the current state of the resource in some way.
Internal Server Error: An error was encountered while attempting to process the request.
GET /rest/orgs/{org_id}/export/{export_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Accept: */*
{
"data": {
"attributes": {
"created": "2026-01-01T00:00:00.000Z",
"finished": "2026-01-01T00:00:00.000Z",
"formats": [
"csv"
],
"introduced_date_range": {
"from": "2026-01-01T00:00:00.000Z",
"to": "2026-01-01T00:00:00.000Z"
},
"results": [
{}
],
"row_count": 1,
"status": "PENDING",
"updated_date_range": {
"from": "2026-01-01T00:00:00.000Z",
"to": "2026-01-01T00:00:00.000Z"
}
},
"id": "d5b640e5-d88c-4c17-9bf0-93597b7a1ce2",
"type": "resource"
},
"jsonapi": {
"version": "1.0"
},
"links": {
"self": "/orgs/826e79b7-0073-44c3-a5ea-e0aa8a3dbf38/export/4d593250-aaf3-48ec-bf5a-1d9a7c0f80db"
}
}Get an export job status
Required permissions
View reports (group.report.read)
Group ID
Unique export identifier
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$Getting an export job status
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Conflict: The requested operation conflicts with the current state of the resource in some way.
Internal Server Error: An error was encountered while attempting to process the request.
GET /rest/groups/{group_id}/jobs/export/{export_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Accept: */*
{
"data": {
"attributes": {
"created": "2026-01-01T00:00:00.000Z",
"formats": [
"csv"
],
"status": "PENDING"
},
"id": "d5b640e5-d88c-4c17-9bf0-93597b7a1ce2",
"type": "resource"
},
"jsonapi": {
"version": "1.0"
},
"links": {
"self": "/orgs/826e79b7-0073-44c3-a5ea-e0aa8a3dbf38/export/4d593250-aaf3-48ec-bf5a-1d9a7c0f80db"
}
}Create and start an export for a group
Required permissions
View reports (group.report.read)
Group ID
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$Optional parameter to include deleted issues in results
Optional parameter to include disabled issues in results
Created an Export successfully
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Conflict: The requested operation conflicts with the current state of the resource in some way.
Too many requests
Internal Server Error: An error was encountered while attempting to process the request.
POST /rest/groups/{group_id}/export?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 764
{
"data": {
"attributes": {
"columns": [
"ISSUE_SEVERITY_RANK",
"ISSUE_SEVERITY",
"SCORE",
"PROBLEM_TITLE",
"CVE",
"CWE",
"PROJECT_NAME",
"PROJECT_URL",
"EXPLOIT_MATURITY",
"AUTOFIXABLE",
"FIRST_INTRODUCED",
"PRODUCT_NAME",
"ISSUE_URL",
"ISSUE_STATUS",
"ISSUE_TYPE"
],
"dataset": "issues",
"filters": {
"empty_project_tags": "include",
"environment": [
"BACKEND",
"EXTERNAL"
],
"introduced": {
"from": "2024-01-01T00:00:00Z",
"to": "2024-01-31T00:00:00Z"
},
"lifecycle": [
"PRODUCTION"
],
"orgs": [
"985cdc6d-a88f-4af8-aa8b-37b22e2425aa",
"4aa34312-7ded-4fd7-bca8-93eaab3e08d5"
],
"product_name": [
"Snyk Code",
"Snyk Open Source",
"Snyk IaC",
"Snyk Container"
],
"project_tags": [
"scanType: CSS",
"user: CLI-user"
],
"project_type": [
"npm",
"pip",
"golang"
]
},
"formats": [
"csv"
],
"url_expiration_seconds": 3600
},
"type": "resource"
}
}{
"data": {
"attributes": {
"created": "2022-01-14T00:23:50Z"
},
"id": "d5b640e5-d88c-4c17-9bf0-93597b7a1ce2",
"links": {
"self": "/orgs/826e79b7-0073-44c3-a5ea-e0aa8a3dbf38/export/jobs/4d593250-aaf3-48ec-bf5a-1d9a7c0f80db"
},
"type": "resource"
},
"jsonapi": {
"version": "1.0"
}
}Get an export results
Required permissions
View reports (group.report.read)
Group ID
Unique export identifier
Requested API version
2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$Getting an export job results
Bad Request: A parameter provided as a part of the request was invalid.
Unauthorized: the request requires an authentication token.
Forbidden: the request requires an authentication token with more or different permissions.
Not Found: The resource being operated on could not be found.
Conflict: The requested operation conflicts with the current state of the resource in some way.
Internal Server Error: An error was encountered while attempting to process the request.
GET /rest/groups/{group_id}/export/{export_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Accept: */*
{
"data": {
"attributes": {
"created": "2026-01-01T00:00:00.000Z",
"finished": "2026-01-01T00:00:00.000Z",
"formats": [
"csv"
],
"introduced_date_range": {
"from": "2026-01-01T00:00:00.000Z",
"to": "2026-01-01T00:00:00.000Z"
},
"results": [
{}
],
"row_count": 1,
"status": "PENDING",
"updated_date_range": {
"from": "2026-01-01T00:00:00.000Z",
"to": "2026-01-01T00:00:00.000Z"
}
},
"id": "d5b640e5-d88c-4c17-9bf0-93597b7a1ce2",
"type": "resource"
},
"jsonapi": {
"version": "1.0"
},
"links": {
"self": "/orgs/826e79b7-0073-44c3-a5ea-e0aa8a3dbf38/export/4d593250-aaf3-48ec-bf5a-1d9a7c0f80db"
}
}Last updated
Was this helpful?

